# DS Collections

## Overview

**DS Collections** is a Python package that provides efficient and easy-to-use implementations of fundamental data structures. It currently includes:

- **Singly Linked List**: A simple linked list where each node points to the next.
- **Doubly Linked List**: A more advanced linked list with both forward and backward traversal.
- **Binary Search Tree (BST)**: A binary tree for efficient searching, insertion, and deletion operations.

This package is designed for developers, students, and anyone learning about data structures or needing these implementations in their projects.

---

## Features

- **Singly Linked List**
  - Add, delete, and traverse nodes.
  - Efficient memory usage for linear data.

- **Doubly Linked List**
  - Supports bidirectional traversal.
  - Add or delete nodes at any position.

- **Binary Search Tree**
  - Allows duplicate or unique keys.
  - Includes functions for insertion, deletion, and traversal.

---

## Installation

You can install the package locally or through PyPI (if uploaded):

```bash
pip install dstructlib
